Bug 238403 - Update databases/cockroach to version 19.1.11
Summary: Update databases/cockroach to version 19.1.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-07 22:09 UTC by Pedro F. Giffuni
Modified: 2021-03-11 03:52 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
update patch (4.12 KB, patch)
2019-06-07 22:09 UTC, Pedro F. Giffuni
no flags Details | Diff
Fresh port version (2.00 KB, application/x-gzip)
2021-02-27 15:31 UTC, Kirill
no flags Details
patch-19.1.11 (4.10 KB, patch)
2021-03-01 19:19 UTC, Kirill
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2019-06-07 22:09:52 UTC
Created attachment 204895 [details]
update patch

CockroachDB will be relicensed beginning with 19.2:

https://www.cockroachlabs.com/blog/oss-relicensing-cockroachdb/

The version we carry is too old and its likely people may want to keep using the fully opensourced version for a while so update to the latest.

For the time being, build with GCC as RocksDB doesn't build with Clang 8. Hopefully upstream will produce a patch we can merge.
Comment 1 Pedro F. Giffuni freebsd_committer 2019-06-08 01:54:31 UTC
Forgot to mention: I haven't tested this beyond compilation.

It should be reviewed by maintainer (or someone that actually uses it, if maintainer times out) and hopefully we can get the clang issue fixed before committing.
Comment 2 Dmitry Marakasov freebsd_committer 2021-02-19 00:41:00 UTC
I'm afraid we cannot commit untested patches. If there's nobody interested in run-testing this, I'll have to close the issue.
Comment 3 Kirill 2021-02-19 08:03:40 UTC
I can. Wait a while.
Comment 4 Pedro F. Giffuni freebsd_committer 2021-02-19 15:20:42 UTC
(In reply to Dmitry Marakasov from comment #2)

In all honesty the existing port is so old that if it not updated we should deprecate the port altogether. (Thanks Kirill for testing!)
Comment 5 Kirill 2021-02-27 15:31:07 UTC
Created attachment 222863 [details]
Fresh port version

I've updated the port to the latest version of cockroachdb and tested it.
Comment 6 Pedro F. Giffuni freebsd_committer 2021-02-27 21:30:50 UTC
(In reply to Kirill from comment #5)
1) diffs are usualy better to review the changes.
2) What is the license of the latest version? (just wondering)
Comment 7 Kirill 2021-02-28 12:07:08 UTC
(In reply to Pedro F. Giffuni from comment #6)
1) I will consider.
2) This is a difficult topic https://www.cockroachlabs.com/docs/stable/licensing-faqs.html
Comment 8 Pedro F. Giffuni freebsd_committer 2021-02-28 16:26:35 UTC
(In reply to Kirill from comment #7)
The licensing is a good reason to keep the port at 19.1, at at least for a while:

CockroachDB version	License	Converts to Apache 2.0
20.2	Business Source License	Nov 10, 2023
20.1	Business Source License	May 12, 2023
19.2	Business Source License	Oct 01, 2022
19.1	Apache 2.0	-
Comment 9 Kirill 2021-03-01 19:19:51 UTC
Created attachment 222907 [details]
patch-19.1.11

Version 19.1.1 contains a build bug. Everything is fine with 19.1.11. The patch is in the attachment.
Comment 10 Pedro F. Giffuni freebsd_committer 2021-03-02 00:56:46 UTC
Comment on attachment 204895 [details]
update patch

Obsoleted by 19.1.11 (which I recommend committing).
Comment 11 Pedro F. Giffuni freebsd_committer 2021-03-08 03:31:46 UTC
ping (?): the maintainer obviously timed out on this, if the Assignee has no time I can take over.
Comment 12 Dmitry Marakasov freebsd_committer 2021-03-11 02:22:19 UTC
Committed, thanks! I've also reset the maintainer; Pedro, Kirill, feel free to take over.
Comment 13 Pedro F. Giffuni freebsd_committer 2021-03-11 03:52:40 UTC
(In reply to Dmitry Marakasov from comment #12)
Thanks so much Dmitry! I don't really use this at all, I just thought we should keep a copy of the latest fully-free version.

If Kirill feels so inclined, we could have a -devel port with the latest version, but for me this is enough.